List Interac auto-deposit emails
curl --request GET \
--url https://api-prod.blaaiz.com/api/external/interac-auto-deposit-email \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.blaaiz.com/api/external/interac-auto-deposit-email"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.blaaiz.com/api/external/interac-auto-deposit-email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api-prod.blaaiz.com/api/external/interac-auto-deposit-email")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.blaaiz.com/api/external/interac-auto-deposit-email",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "01994c21-a4d0-7000-8000-123456789abc",
"email": "payments@example.com",
"status": "PENDING",
"created_at": "2026-09-16T10:00:00.000000Z",
"updated_at": "2026-09-16T10:00:00.000000Z"
}
],
"links": {
"first": "https://api-prod.blaaiz.com/api/external/interac-auto-deposit-email?page=1",
"last": "https://api-prod.blaaiz.com/api/external/interac-auto-deposit-email?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://api-prod.blaaiz.com/api/external/interac-auto-deposit-email?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "https://api-prod.blaaiz.com/api/external/interac-auto-deposit-email",
"per_page": 10,
"to": 1,
"total": 1
}
}{
"message": "<string>",
"request_id": "<string>"
}{
"message": "<string>",
"request_id": "<string>"
}{
"message": "<string>",
"request_id": "<string>",
"errors": {}
}{
"message": "<string>",
"request_id": "<string>"
}Interac Auto Deposit Email
List Interac auto-deposit emails
List live registrations owned by your business, including registrations from the dashboard and the API. The API returns 10 records per page, ordered by last update time from newest to oldest. Deleted records are excluded. The response has a data array, links, and pagination metadata in meta. An empty result returns data: [] and meta.total: 0. API services must be enabled.
GET
/
api
/
external
/
interac-auto-deposit-email
List Interac auto-deposit emails
Authorizations
Use a Bearer token from POST /oauth/token. The token must include the required individual scope.
Query Parameters
Filter by registration status.
Available options:
PENDING, PROCESSING, ACTIVE, BLOCKED Filter by email search text.
Maximum string length:
255Page number. Each page contains at most 10 records.
Required range:
x >= 1Was this page helpful?